import { EventEmitter, OnInit } from '@angular/core';
import { STChange, STColumn, STComponent } from '@delon/abc';
import { TranslateService } from '@ngx-translate/core';
import { DEF } from '../../../../api';
import { SettingsService } from '@delon/theme';
/**
 * role list
 */
export declare class IdentityRoleRolesComponent implements OnInit {
    private translateService;
    private settingService;
    currentRole: DEF.Iwms.RolePermissions | null;
    currentRoleChange: EventEmitter<DEF.Iwms.RolePermissions | null>;
    st: STComponent;
    loading: boolean;
    stDatas: Array<DEF.Iwms.RolePermissions>;
    stColumns: Array<STColumn>;
    roleCreateComponentProp: {
        visible: boolean;
    };
    constructor(translateService: TranslateService, settingService: SettingsService);
    ngOnInit(): void;
    fetchRoles(): void;
    handleRefresh(): void;
    openRoleCreateComponent(): void;
    handleRoleCreateComponentOk(): void;
    handleStChange($event: STChange): void;
}
